package com.fs.hisStore.service.impl;

import java.util.List;

import com.fs.hisStore.dto.TemplateDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsShippingTemplatesFreeScrmMapper;
import com.fs.hisStore.domain.FsShippingTemplatesFreeScrm;
import com.fs.hisStore.service.IFsShippingTemplatesFreeScrmService;

/**
 * 免邮费Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsShippingTemplatesFreeScrmServiceImpl implements IFsShippingTemplatesFreeScrmService
{
    @Autowired
    private FsShippingTemplatesFreeScrmMapper fsShippingTemplatesFreeMapper;

    /**
     * 查询免邮费
     * 
     * @param id 免邮费ID
     * @return 免邮费
     */
    @Override
    public FsShippingTemplatesFreeScrm selectFsShippingTemplatesFreeById(Long id)
    {
        return fsShippingTemplatesFreeMapper.selectFsShippingTemplatesFreeById(id);
    }

    /**
     * 查询免邮费列表
     * 
     * @param fsShippingTemplatesFree 免邮费
     * @return 免邮费
     */
    @Override
    public List<FsShippingTemplatesFreeScrm> selectFsShippingTemplatesFreeList(FsShippingTemplatesFreeScrm fsShippingTemplatesFree)
    {
        return fsShippingTemplatesFreeMapper.selectFsShippingTemplatesFreeList(fsShippingTemplatesFree);
    }

    /**
     * 新增免邮费
     * 
     * @param fsShippingTemplatesFree 免邮费
     * @return 结果
     */
    @Override
    public int insertFsShippingTemplatesFree(FsShippingTemplatesFreeScrm fsShippingTemplatesFree)
    {
        return fsShippingTemplatesFreeMapper.insertFsShippingTemplatesFree(fsShippingTemplatesFree);
    }

    /**
     * 修改免邮费
     * 
     * @param fsShippingTemplatesFree 免邮费
     * @return 结果
     */
    @Override
    public int updateFsShippingTemplatesFree(FsShippingTemplatesFreeScrm fsShippingTemplatesFree)
    {
        return fsShippingTemplatesFreeMapper.updateFsShippingTemplatesFree(fsShippingTemplatesFree);
    }

    /**
     * 批量删除免邮费
     * 
     * @param ids 需要删除的免邮费ID
     * @return 结果
     */
    @Override
    public int deleteFsShippingTemplatesFreeByIds(Long[] ids)
    {
        return fsShippingTemplatesFreeMapper.deleteFsShippingTemplatesFreeByIds(ids);
    }

    /**
     * 删除免邮费信息
     * 
     * @param id 免邮费ID
     * @return 结果
     */
    @Override
    public int deleteFsShippingTemplatesFreeById(Long id)
    {
        return fsShippingTemplatesFreeMapper.deleteFsShippingTemplatesFreeById(id);
    }

    @Override
    public int selectCountByTemplateDTO(TemplateDTO mapValue) {
        return fsShippingTemplatesFreeMapper.selectCountByTemplateDTO(mapValue);
    }
}
